Skip to main content
cancel
Showing results for 
Search instead for 
Did you mean: 

Data Days is here! Join us now for 60+ days of learning, challenges, and connection. Learn more

Reply
Alexander24
Helper II
Helper II

Query Parameters API

Hi

 

I am using the new query parameters API https://msdn.microsoft.com/en-us/library/mt845781.aspx


I am able to call parameters fine, however when trying to set them i get an error message.  After parsing the error I get this

VERBOSE: POST https://api.powerbi.com/v1.0/myorg/groups/e7229a42-46ef-4d80-b8ca-e42909509dbb/datasets/5ef116d7-917... with -1-byte payload


error : @{code=InvalidRequest; message=Dataset Parameters list is invalid in 5ef116d7-9179-40a2-8a30-a657265dfe4a. Reason: Empty;
target=5ef116d7-9179-40a2-8a30-a657265dfe4a}

 

I dont understand because the parameters list is not empty? I have created a physical table with the parameters and tried and then also created a list of values in the manage parameters settings and it still gives the same error.

 

Thanks,
Alexander

2 REPLIES 2
Alexander24
Helper II
Helper II

Can anybody from support point me in the right direction at least?

Hello team,

 

am new to power bi when i try to update parameter by using c# (Embeded)
UpdateDatasetParametersRequest updaetparamObj = new UpdateDatasetParametersRequest();

var jsonobj = "{\"updateDetails\": [{ \"name\": \"loggedTenantid\", \"newValue\": \"9\"}]}";
JavaScriptSerializer jsonSerializer = new JavaScriptSerializer();
updaetparamObj = jsonSerializer.Deserialize<UpdateDatasetParametersRequest>(jsonobj);

 var updateParam = await client.Datasets.UpdateParametersInGroupAsync(WorkspaceId, report.DatasetId, updaetparamObj);

am facing below problem please do need full
Status: BadRequest (400) Response: {"error":{"code":"InvalidRequest","message":"Dataset parameter at position 1 is invalid in abcdefghigj. Reason: ActionNotSupported","target":"
abcdefghigj
"}} RequestId:
abcdefghigj

Helpful resources

Announcements
Fabric Data Days is here Carousel

Fabric Data Days 2026

Don't miss out on Data Days, June 15 through August 7. Learn Fabric, Power BI, SQL, AI and more.

May Power BI Update Carousel

Power BI Monthly Update - May 2026

Check out the May 2026 Power BI update to learn about new features.

Power BI DataViz World Championships carousel

Power BI DataViz World Championships - June 2026

A new Power BI DataViz World Championship is coming this June! Don't miss out on submitting your entry.

Top Kudoed Authors